Package org.optaplanner.benchmark.impl.statistic.memoryuse

## Class MemoryUseProblemStatistic

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.ProblemStatistic
  - - org.optaplanner.benchmark.impl.statistic.memoryuse.MemoryUseProblemStatistic

-     public class MemoryUseProblemStatistic
      extends ProblemStatistic

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected File` | `graphFile` |

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.ProblemStatistic

      `logger, problemBenchmarkResult, problemStatisticType, warningList`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MemoryUseProblemStatistic​(ProblemBenchmarkResult problemBenchmarkResult)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SubSingleStatistic` | `createSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)` |
    `protected void` | `fillWarningList()` |
    `List<File>` | `getGraphFileList()` |
    `void` | `writeGraphFiles​(BenchmarkReport benchmarkReport)` |

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.ProblemStatistic

      `accumulateResults, getAnchorId, getGraphFile, getProblemBenchmarkResult, getProblemStatisticType, getSubSingleStatisticList, getWarningList, setProblemBenchmarkResult, toString, writeChartToImageFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### graphFile

          protected File graphFile

  - ### Constructor Detail

    - #### MemoryUseProblemStatistic

          public MemoryUseProblemStatistic​(ProblemBenchmarkResult problemBenchmarkResult)

  - ### Method Detail

    - #### createSubSingleStatistic

          public SubSingleStatistic createSubSingleStatistic​(SubSingleBenchmarkResult subSingleBenchmarkResult)

      Specified by:
        `createSubSingleStatistic` in class `ProblemStatistic`

    - #### getGraphFileList

          public List<File> getGraphFileList()

      Specified by:
        `getGraphFileList` in class `ProblemStatistic`
      Returns:
        never null

    - #### writeGraphFiles

          public void writeGraphFiles​(BenchmarkReport benchmarkReport)

      Specified by:
        `writeGraphFiles` in class `ProblemStatistic`

    - #### fillWarningList

          protected void fillWarningList()

      Overrides:
        `fillWarningList` in class `ProblemStatistic`